//
// QtTUIOPaintDemo
//
// mytuiolistener.h
// Copyright 2013 Touch-Base Ltd. All Rights Reserved
//

#ifndef MYTUIOLISTENER_H
#define MYTUIOLISTENER_H

#include "TUIO/TuioListener.h"
#include "qpaintwidget.h"

using namespace TUIO;

class MyTuioListener : public TuioListener
{
public:
    MyTuioListener();

	void addTuioObject(TuioObject *tobj);
	void updateTuioObject(TuioObject *tobj);
	void removeTuioObject(TuioObject *tobj);
	void addTuioCursor(TuioCursor *tcur);
	void updateTuioCursor(TuioCursor *tcur);
	void removeTuioCursor(TuioCursor *tcur);
	void refresh(TuioTime ftime);

	QPaintWidget *paintWidget;
};

#endif // MYTUIOLISTENER_H
