#-------------------------------------------------
#
# Project created by QtCreator 2011-12-02T16:50:50
#
#-------------------------------------------------

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = QtTUIOPaintDemo
TEMPLATE = app

SOURCES += main.cpp\
    qttuiopaintdemo.cpp \
    qpaintwidget.cpp \
    oscpack/osc/OscTypes.cpp \
    oscpack/osc/OscReceivedElements.cpp \
    oscpack/osc/OscPrintReceivedElements.cpp \
    oscpack/osc/OscOutboundPacketStream.cpp \
    oscpack/ip/IpEndpointName.cpp \
    TUIO/TuioTime.cpp \
    TUIO/TuioClient.cpp \
    mytuiolistener.cpp \
    utilities.cpp

win32 {
    SOURCES += oscpack/ip/win32/UdpSocket.cpp \
               oscpack/ip/win32/NetworkingUtils.cpp
} else {
    SOURCES += oscpack/ip/posix/UdpSocket.cpp \
               oscpack/ip/posix/NetworkingUtils.cpp
}

HEADERS  += qttuiopaintdemo.h \
    qpaintwidget.h \
    TUIO/TuioTime.h \
    TUIO/TuioPoint.h \
    TUIO/TuioObject.h \
    TUIO/TuioListener.h \
    TUIO/TuioCursor.h \
    TUIO/TuioContainer.h \
    TUIO/TuioClient.h \
    mytuiolistener.h \
    utilities.h

FORMS += qttuiopaintdemo.ui
INCLUDEPATH += oscpack
